View Issue Details

IDProjectCategoryView StatusLast Update
0015961LazarusLCLpublic2011-12-01 11:23
ReporterDmitryAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSwindowsOS Versionvista 32
Product Version0.9.29 (SVN)Product Build23838 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015961: Focus rectangle displayed when dgAlwaysShowSelection=false and dbgrid does not have focus.
DescriptionThe selected cell displays the focus rectangle even when the grid does not have focus.
Steps To ReproduceTry attached test project. Or show attached image.
TagsTDBGrid, win32
Fixed in Revision23973
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

2010-03-11 14:34

 

dbgridsel.png (7,276 bytes)
dbgridsel.png (7,276 bytes)

2010-03-11 14:39

 

testdbgridselection.zip (2,314 bytes)

Dmitry

2010-03-11 14:46

reporter   ~0035249

To reproduce bug use project in testdbgridselection.zip. I don't know how to delete testdbgridsel.zip.

Issue History

Date Modified Username Field Change
2010-03-11 14:34 Dmitry New Issue
2010-03-11 14:34 Dmitry File Added: testdbgridsel.zip
2010-03-11 14:34 Dmitry Widgetset => Win32/Win64
2010-03-11 14:34 Dmitry File Added: dbgridsel.png
2010-03-11 14:39 Dmitry File Added: testdbgridselection.zip
2010-03-11 14:43 Dmitry Tag Attached: TDBGrid
2010-03-11 14:43 Dmitry Tag Attached: win32
2010-03-11 14:46 Dmitry Note Added: 0035249
2010-03-11 16:04 Jesus Reyes Status new => assigned
2010-03-11 16:04 Jesus Reyes Assigned To => Jesus Reyes
2010-03-13 07:04 Jesus Reyes File Deleted: testdbgridsel.zip
2010-03-13 07:04 Jesus Reyes Fixed in Revision => 23973
2010-03-13 07:04 Jesus Reyes LazTarget => 0.9.30
2010-03-13 07:04 Jesus Reyes Status assigned => resolved
2010-03-13 07:04 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-03-13 07:04 Jesus Reyes Resolution open => fixed
2010-03-13 07:05 Jesus Reyes Target Version => 0.9.30
2011-12-01 11:23 Marc Weustink Status resolved => closed